apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: fake-image-generator-rpi
  namespace: default
  labels:
    k8s-app: fake-image-generator-rpi
spec:
  selector:
    matchLabels:
      name: fake-image-generator-rpi
  template:
    metadata:
      labels:
        name: fake-image-generator-rpi
    spec:
      nodeSelector:
        fake-image-generator-rpi: enabled
      hostname: fake-image-generator
      containers:
      - name: fake-image-generator
        image: registry.gitlab.com/arm-research/smarter/edge-workloads/fake-video-generator:20191211201327
        imagePullPolicy: IfNotPresent
        env:
          - name: FFMPEG_OPTIONS
            value: "-c:v h264_mmal"
        resources:
          limits:
            cpu: 350m
            memory: 100Mi
            smarter-devices/video0: 1
            smarter-devices/vchiq: 1
            smarter-devices/vc-mem: 1
            # smarter-devices/vcsm-cma: 1
          requests:
            cpu: 250m
            memory: 100Mi
            smarter-devices/video0: 1
            smarter-devices/vchiq: 1
            smarter-devices/vc-mem: 1
            # smarter-devices/vcsm-cma: 1
      terminationGracePeriodSeconds: 30
